Table of Contents

## Name

AuElementState - element state structure

## Structures

#include <audio/audiolib.h>

typedef struct _AuElementState
{
AuFlowID flow;
unsigned char element_num;
unsigned char state;
unsigned short pad;
}AuElementState;

## Members

flow
  Specifies the flow.
element_num
  Specifies the index of the element of interest. Use AuElementAll to access the state of the flow.
state
  Specifies the state of the element (or flow) specified by element_num. This should be one of thses constants: AuStateStop, AuStateStart, or AuStatePause.

## Description

The AuElementState structure is used to access the state of elements in a flow. Only flows and component elements (ExportBucket, ExportClient, ExportDevice, ImportClient, ImportDevice, ImportBucket, and ImportWaveForm) have state.

## See Also

AuGetElementStates, AuMakeElementState, AuGetElementStates.

audiolib - Network Audio System C Language Interface

Table of Contents

- Name
- Structures
- Members
- Description
- See Also